using System;
using System.Text;
using System.Runtime.InteropServices;
using Sanford.Multimedia.Timers;

namespace Sanford.Multimedia.Wave
{
    internal sealed class NativeMethods
    {
        [DllImport("winmm.dll")]
        public static extern int waveOutOpen(out IntPtr handle, int deviceID, ref WaveFormat format, IntPtr dummy, IntPtr instance, int flags);

        [DllImport("winmm.dll")]
        public static extern int waveOutClose(IntPtr handle);

        [DllImport("winmm.dll")]
        public static extern int waveOutReset(IntPtr handle);

        [DllImport("winmm.dll")]
        public static extern int waveOutPrepareHeader(IntPtr handle, IntPtr headerPtr, int sizeOfWaveHeader);

        [DllImport("winmm.dll")]
        public static extern int waveOutUnprepareHeader(IntPtr handle, IntPtr headerPtr, int sizeOfWaveHeader);

        [DllImport("winmm.dll")]
        public static extern int waveOutWrite(IntPtr handle, IntPtr headerPtr, int sizeOfWaveHeader);

        [DllImport("winmm.dll")]
        public static extern int waveOutGetDevCaps(int deviceID, ref WaveOutCaps caps, int sizeOfWaveOutCaps);

        [DllImport("winmm.dll")]
        public static extern int waveOutGetNumDevs();

        [DllImport("winmm.dll")]
        public static extern int waveOutPause(IntPtr handle);

        [DllImport("winmm.dll")]
        public static extern int waveOutRestart(IntPtr handle);

        [DllImport("winmm.dll")]
        public static extern int waveOutGetPitch(IntPtr handle, ref int pitch);

        [DllImport("winmm.dll")]
        public static extern int waveOutSetPitch(IntPtr handle, int pitch);

        [DllImport("winmm.dll")]
        public static extern int waveOutGetPlaybackRate(IntPtr handle, ref int rate);

        [DllImport("winmm.dll")]
        public static extern int waveOutSetPlaybackRate(IntPtr handle, int rate);

        [DllImport("winmm.dll")]
        public static extern int waveOutGetVolume(IntPtr handle, ref int volume);

        [DllImport("winmm.dll")]
        public static extern int waveOutSetVolume(IntPtr handle, int volume);

        [DllImport("winmm.dll")]
        public static extern int waveOutGetPosition(IntPtr handle, ref Time time, int sizeOfTime);

        [DllImport("winmm.dll")]
        public static extern int waveOutGetErrorText(int errCode, StringBuilder message, int sizeOfMessage);

        private NativeMethods()
        {
        }
    }
}
