using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using Sanford.Threading;

namespace Sanford.Multimedia.Wave
{
    public partial class OutputDevice
    {
        private class OutputAsyncResult : AsyncResult
        {
            private WaveformBuffer buffer;

            private Exception error = null;

            public OutputAsyncResult(WaveformBuffer buffer, object owner, AsyncCallback callback, object state)
                : base(owner, callback, state)
            {
                this.buffer = buffer;
            }

            public WaveformBuffer Buffer
            {
                get
                {
                    return buffer;
                }
            }

            public Exception Error
            {
                get
                {
                    return error;
                }
                set
                {
                    error = value;
                }
            }
        }
    }
}
